package examples;

import javax.naming.*;

import javax.jms.*;
import java.util.*;

public class Client {

    public static void main(String[] args) throws Exception {

        Context ctx = new InitialContext(System.getProperties());
        TopicConnectionFactory factory =
                (TopicConnectionFactory)
                ctx.lookup("ConnectionFactory"); 
        TopicConnection connection =
                factory.createTopicConnection();
        TopicSession session = connection.createTopicSession(
                false, Session.AUTO_ACKNOWLEDGE);
        Topic topic = (Topic) ctx.lookup("topic/testTopic");
        TopicPublisher publisher = session.createPublisher(topic);
        TextMessage msg = session.createTextMessage();
        msg.setText("This is a test message.");
        publisher.publish(msg);
        connection.close();
    }
}
